MyGUI: MyGUI::MenuItem Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions
MyGUI::MenuItem Class Reference

MenuItem properties.
Skin childs. MenuItem widget description should be here. More...

`#include <MyGUI_MenuItem.h>`

Inheritance diagram for MyGUI::MenuItem:
[legend]

## Public Types
typedef RTTIBase | Base
typedef MenuItem | RTTIBase
Public Types inherited from MyGUI::Button
typedef RTTIBase | Base
typedef Button | RTTIBase
Public Types inherited from MyGUI::TextBox
typedef RTTIBase | Base
typedef TextBox | RTTIBase
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| MenuItem ()
virtual void | setCaption (const UString &_value)
virtual void | setFontName (const std::string &_value)
virtual void | setFontHeight (int _value)
void | setItemName (const UString &_value)
| Replace an item name. More...
const UString & | getItemName ()
| Get item name. More...
void | setItemData (Any _value)
| Replace an item name. More...
template<typename ValueType >
ValueType * | getItemData (bool _throw=true)
| Get item data. More...
void | removeItem ()
| Remove item. More...
void | setItemId (const std::string &_value)
| Replace an item id at a specified position. More...
const std::string & | getItemId ()
| Get item id from specified position. More...
size_t | getItemIndex ()
| Get item index. More...
MenuControl * | createItemChild ()
template<typename Type >
Type * | createItemChildT ()
void | setItemType (MenuItemType _value)
MenuItemType | getItemType ()
void | setItemChildVisible (bool _value)
MenuControl * | getMenuCtrlParent ()
MenuControl * | getItemChild ()
bool | getItemChecked () const
void | setItemChecked (bool _value)
virtual IItemContainer * | _getItemContainer ()
IntSize | _getContentSize ()
Public Member Functions inherited from MyGUI::Button
template<typename Type >
bool | isType () const
| Button ()
void | setStateSelected (bool _value)
| Set button selected state. More...
bool | getStateSelected () const
| Get buton selected. More...
void | setModeImage (bool _value)
bool | getModeImage () const
void | setImageResource (const std::string &_name)
void | setImageGroup (const std::string &_name)
void | setImageName (const std::string &_name)
void | _setMouseFocus (bool _focus)
ImageBox * | _getImageBox ()
Public Member Functions inherited from MyGUI::TextBox
template<typename Type >
bool | isType () const
| TextBox ()
virtual IntCoord | getTextRegion ()
virtual IntSize | getTextSize ()
virtual const UString & | getCaption ()
const std::string & | getFontName ()
int | getFontHeight ()
virtual void | setTextAlign (Align _value)
Align | getTextAlign ()
virtual void | setTextColour (const Colour &_value)
const Colour & | getTextColour ()
void | setCaptionWithReplacing (const std::string &_value)
virtual void | setTextShadowColour (const Colour &_value)
const Colour & | getTextShadowColour ()
virtual void | setTextShadow (bool _value)
bool | getTextShadow ()
Public Member Functions inherited from MyGUI::Widget
template<typename Type >
bool | isType () const
| Widget ()
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
Widget * | createWidgetT (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
template<typename T >
T * | createWidget (WidgetStyle _style, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_value)
void | setRealSize (const FloatSize &_value)
void | setRealCoord (const FloatCoord &_value)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget. More...
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _value)
float | getAlpha () const
void | setInheritsAlpha (bool _value)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount ()
Widget * | getChildAt (size_t _index)
Widget * | findWidget (const std::string &_name)
void | findWidgets (const std::string &_name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord ()
Widget * | getClientWidget ()
void | detachFromWidget (const std::string &_layer="")
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, const std::string &_layer="")
void | changeWidgetSkin (const std::string &_skinName)
void | setWidgetStyle (WidgetStyle _style, const std::string &_layer="")
WidgetStyle | getWidgetStyle () const
void | setProperty (const std::string &_key, const std::string &_value)
virtual size_t | _getItemIndex (Widget *_item)
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, const std::string &_skinName, Widget *_parent, ICroppedRectangle *_croppedParent, const std::string &_name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer ()
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (const std::string &_value)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
| UserData ()
virtual | ~UserData ()
void | setUserString (const std::string &_key, const std::string &_value)
const std::string & | getUserString (const std::string &_key) const
const MapString & | getUserStrings () const
bool | clearUserString (const std::string &_key)
bool | isUserString (const std::string &_key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType >
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType >
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
| WidgetInput ()
virtual | ~WidgetInput ()
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (const std::string &_value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
| SkinItem ()
ISubWidgetText * | getSubWidgetText ()
ISubWidgetRect * | getSubWidgetMain ()
void | _setTextureName (const std::string &_texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
| LayerItem ()
virtual | ~LayerItem ()
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
virtual void | attachItemToNode (ILayer *_layer, ILayerNode *_node)
virtual void | detachFromLayer ()
virtual void | upLayerItem ()
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()
Public Member Functions inherited from MyGUI::MemberObsolete< Button >
void | setButtonPressed (bool _value)
bool | getButtonPressed ()
void | setStateCheck (bool _value)
bool | getStateCheck ()
ImageBox * | getStaticImage ()
void | setImageIndex (size_t _value)
size_t | getImageIndex ()
Public Member Functions inherited from MyGUI::IItem
| IItem ()
virtual | ~IItem ()
Public Member Functions inherited from MyGUI::MemberObsolete< MenuItem >
void | showItemChild ()
void | hideItemChild ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Button
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::TextBox
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Member Functions
virtual void | initialiseOverride ()
virtual void | shutdownOverride ()
virtual void | setPropertyOverride (const std::string &_key, const std::string &_value)
virtual void | onWidgetCreated (Widget *_widget)
Protected Member Functions inherited from MyGUI::Button
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | baseUpdateEnable ()
bool | _setState (const std::string &_value)
Protected Member Functions inherited from MyGUI::Widget
virtual | ~Widget ()
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer, const std::string &_name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point)
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const
virtual const IntCoord & | getLayerItemCoord () const
template<typename T >
void | assignWidget (T *&_widget, const std::string &_name)
VectorWidgetPtr | getSkinWidgetsByName (const std::string &_name)
void | destroySkinWidget (Widget *_widget)
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseDrag (int _left, int _top, MouseButton _id)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseWheel (int _rel)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (const std::string &_state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_node, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Additional Inherited Members
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

MenuItem properties.
Skin childs. MenuItem widget description should be here.

Definition at line 21 of file MyGUI_MenuItem.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::MenuItem::Base

Definition at line 26 of file MyGUI_MenuItem.h.

## ◆ RTTIBase

typedef MenuItem MyGUI::MenuItem::RTTIBase

Definition at line 26 of file MyGUI_MenuItem.h.

## Constructor & Destructor Documentation

## ◆ MenuItem()

MyGUI::MenuItem::MenuItem | ( |  | ) |

Definition at line 13 of file MyGUI_MenuItem.cpp.

## Member Function Documentation

## ◆ _getContentSize()

IntSize MyGUI::MenuItem::_getContentSize | ( |  | ) |

Definition at line 182 of file MyGUI_MenuItem.cpp.

## ◆ _getItemContainer()

IItemContainer * MyGUI::MenuItem::_getItemContainer | ( |  | ) |
| virtual

Reimplemented from MyGUI::IItem.

Definition at line 177 of file MyGUI_MenuItem.cpp.

## ◆ createItemChild()

MenuControl * MyGUI::MenuItem::createItemChild | ( |  | ) |

Create child item (submenu), MenuItem can have only one child

Definition at line 124 of file MyGUI_MenuItem.cpp.

## ◆ createItemChildT()

template<typename Type >

Type* MyGUI::MenuItem::createItemChildT | ( |  | ) |
| inline

Create specific type child item (submenu), MenuItem can have only one child

Definition at line 71 of file MyGUI_MenuItem.h.

## ◆ getClassTypeName()

static const std::string& MyGUI::MenuItem::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 26 of file MyGUI_MenuItem.h.

## ◆ getItemChecked()

bool MyGUI::MenuItem::getItemChecked | ( |  | ) | const

Definition at line 197 of file MyGUI_MenuItem.cpp.

## ◆ getItemChild()

MenuControl * MyGUI::MenuItem::getItemChild | ( |  | ) |

Get child item (submenu)

Definition at line 144 of file MyGUI_MenuItem.cpp.

## ◆ getItemData()

template<typename ValueType >

ValueType* MyGUI::MenuItem::getItemData | ( | bool | _throw = `true` | ) |
| inline

Get item data.

Definition at line 50 of file MyGUI_MenuItem.h.

## ◆ getItemId()

const std::string & MyGUI::MenuItem::getItemId | ( |  | ) |

Get item id from specified position.

Definition at line 114 of file MyGUI_MenuItem.cpp.

## ◆ getItemIndex()

size_t MyGUI::MenuItem::getItemIndex | ( |  | ) |

Get item index.

Definition at line 119 of file MyGUI_MenuItem.cpp.

## ◆ getItemName()

const UString & MyGUI::MenuItem::getItemName | ( |  | ) |

Get item name.

Definition at line 89 of file MyGUI_MenuItem.cpp.

## ◆ getItemType()

MenuItemType MyGUI::MenuItem::getItemType | ( |  | ) |

Get item type (see MenuItemType)

Definition at line 134 of file MyGUI_MenuItem.cpp.

## ◆ getMenuCtrlParent()

MenuControl * MyGUI::MenuItem::getMenuCtrlParent | ( |  | ) |

Get parent MenuControl

Definition at line 172 of file MyGUI_MenuItem.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::MenuItem::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::Button.

Definition at line 26 of file MyGUI_MenuItem.h.

## ◆ initialiseOverride()

void MyGUI::MenuItem::initialiseOverride | ( |  | ) |
| protectedvirtual

skin clilds:
  Check is child widget with type Widget. Галочка для отмеченного состояния.

Reimplemented from MyGUI::Button.

Definition at line 21 of file MyGUI_MenuItem.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::MenuItem::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 26 of file MyGUI_MenuItem.h.

## ◆ isType() [2/2]

virtual bool MyGUI::MenuItem::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::Button.

Definition at line 26 of file MyGUI_MenuItem.h.

## ◆ onWidgetCreated()

void MyGUI::MenuItem::onWidgetCreated | ( | Widget * | _widget | ) |
| protectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 58 of file MyGUI_MenuItem.cpp.

## ◆ removeItem()

void MyGUI::MenuItem::removeItem | ( |  | ) |

Remove item.

Definition at line 104 of file MyGUI_MenuItem.cpp.

## ◆ setCaption()

void MyGUI::MenuItem::setCaption | ( | const UString & | _value | ) |
| virtual

Set widget caption

Reimplemented from MyGUI::TextBox.

Definition at line 69 of file MyGUI_MenuItem.cpp.

## ◆ setFontHeight()

void MyGUI::MenuItem::setFontHeight | ( | int | _value | ) |
| virtual

Set widget text font height

Reimplemented from MyGUI::TextBox.

Definition at line 82 of file MyGUI_MenuItem.cpp.

## ◆ setFontName()

void MyGUI::MenuItem::setFontName | ( | const std::string & | _value | ) |
| virtual

Set widget text font

Reimplemented from MyGUI::TextBox.

Definition at line 75 of file MyGUI_MenuItem.cpp.

## ◆ setItemChecked()

void MyGUI::MenuItem::setItemChecked | ( | bool | _value | ) |

Definition at line 202 of file MyGUI_MenuItem.cpp.

## ◆ setItemChildVisible()

void MyGUI::MenuItem::setItemChildVisible | ( | bool | _value | ) |

Hide or show child item (submenu)

Definition at line 139 of file MyGUI_MenuItem.cpp.

## ◆ setItemData()

void MyGUI::MenuItem::setItemData | ( | Any | _value | ) |

Replace an item name.

Definition at line 99 of file MyGUI_MenuItem.cpp.

## ◆ setItemId()

void MyGUI::MenuItem::setItemId | ( | const std::string & | _value | ) |

Replace an item id at a specified position.

Definition at line 109 of file MyGUI_MenuItem.cpp.

## ◆ setItemName()

void MyGUI::MenuItem::setItemName | ( | const UString & | _value | ) |

Replace an item name.

Definition at line 94 of file MyGUI_MenuItem.cpp.

## ◆ setItemType()

void MyGUI::MenuItem::setItemType | ( | MenuItemType | _value | ) |

Set item type (see MenuItemType)

Definition at line 129 of file MyGUI_MenuItem.cpp.

## ◆ setPropertyOverride()

void MyGUI::MenuItem::setPropertyOverride | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |
| protectedvirtual

Properties:
  MenuItemId is MenuItem property with type string.
  Идентификатор строки меню.

Properties:
  MenuItemType is MenuItem property with type MenuItemType.
  Тип строки меню.

Properties:
  MenuItemChecked is MenuItem property with type bool.
  Отмеченное состояние строки меню.

Reimplemented from MyGUI::Button.

Definition at line 149 of file MyGUI_MenuItem.cpp.

## ◆ shutdownOverride()

void MyGUI::MenuItem::shutdownOverride | ( |  | ) |
| protectedvirtual

Reimplemented from MyGUI::Button.

Definition at line 50 of file MyGUI_MenuItem.cpp.

The documentation for this class was generated from the following files:

- MyGUI_MenuItem.h
- MyGUI_MenuItem.cpp